> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get managed account by token

> Return a Managed Account.



## OpenAPI

````yaml https://api.vantage.sh/v2/oas_v3.json get /managed_accounts/{managed_account_token}
openapi: 3.0.1
info:
  title: Vantage
  description: Vantage API
  termsOfService: https://www.vantage.sh/terms-of-use
  contact:
    name: Vantage Support
    url: https://www.vantage.sh
    email: support@vantage.sh
  version: 2.0.0
servers:
  - url: https://api.vantage.sh/v2
security:
  - oauth2:
      - read
tags:
  - name: AccessGrants
    description: Operations about AccessGrants
  - name: AnomalyAlerts
    description: Operations about AnomalyAlerts
  - name: AnomalyNotifications
    description: Operations about AnomalyNotifications
  - name: AuditLogs
    description: Operations about AuditLogs
  - name: BillingProfiles
    description: Operations about BillingProfiles
  - name: BillingRules
    description: Operations about BillingRules
  - name: BudgetAlerts
    description: Operations about BudgetAlerts
  - name: Budgets
    description: Operations about Budgets
  - name: BusinessMetrics
    description: Operations about BusinessMetrics
  - name: Canvases
    description: Operations about Canvases
  - name: CostAlertEvents
    description: Operations about CostAlertEvents
  - name: CostAlerts
    description: Operations about CostAlerts
  - name: CostProvider
    description: Operations about CostProviders
  - name: CostProviderAccounts
    description: Operations about CostProviderAccounts
  - name: Costs
    description: Operations about Costs
  - name: CostService
    description: Operations about CostServices
  - name: Dashboards
    description: Operations about Dashboards
  - name: DataExports
    description: Operations about DataExports
  - name: ExchangeRates
    description: Operations about ExchangeRates
  - name: FinancialCommitmentReports
    description: Operations about FinancialCommitmentReports
  - name: FinancialCommitments
    description: Operations about FinancialCommitments
  - name: Folders
    description: Operations about Folders
  - name: Integrations
    description: Operations about Integrations
  - name: Invoices
    description: Operations about Invoices
  - name: KubernetesEfficiencyReports
    description: Operations about KubernetesEfficiencyReports
  - name: ManagedAccounts
    description: Operations about ManagedAccounts
  - name: Me
    description: Operations about Mes
  - name: NetworkFlowReports
    description: Operations about NetworkFlowReports
  - name: OpenAPISpecification
    description: Operations about OpenAPISpecifications
  - name: Ping
    description: Operations about Pings
  - name: Prices
    description: Operations about Prices
  - name: Recommendations
    description: Operations about Recommendations
  - name: RecommendationViews
    description: Operations about RecommendationViews
  - name: ReportNotifications
    description: Operations about ReportNotifications
  - name: ResourceReports
    description: Operations about ResourceReports
  - name: Resources
    description: Operations about Resources
  - name: SavedFilters
    description: Operations about SavedFilters
  - name: Segments
    description: Operations about Segments
  - name: Tags
    description: Operations about Tags
  - name: Teams
    description: Operations about Teams
  - name: UnitCosts
    description: Operations about UnitCosts
  - name: UserFeedback
    description: Operations about UserFeedbacks
  - name: Users
    description: Operations about Users
  - name: VirtualTags
    description: Operations about VirtualTags
  - name: Workspaces
    description: Operations about Workspaces
paths:
  /managed_accounts/{managed_account_token}:
    get:
      tags:
        - ManagedAccounts
      summary: Get managed account by token
      description: Return a Managed Account.
      operationId: getManagedAccount
      parameters:
        - name: managed_account_token
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ManagedAccount'
              example:
                token: acct_d3f99e1941a01861
                name: Tamisha Mohr
                contact_email: mohr_tamisha@vandervort.io
                parent_account_token: acct_aaa060a863c2012b
                access_credential_tokens: []
                billing_rule_tokens: []
                email_domain: null
        '404':
          description: NotFound
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
      security:
        - oauth2:
            - read
components:
  schemas:
    ManagedAccount:
      required:
        - access_credential_tokens
        - billing_rule_tokens
        - contact_email
        - name
        - parent_account_token
        - token
      type: object
      properties:
        token:
          type: string
          nullable: false
        name:
          type: string
          nullable: false
        contact_email:
          type: string
          nullable: false
        parent_account_token:
          type: string
          description: The token for the parent Account.
          nullable: false
        access_credential_tokens:
          type: array
          description: >-
            The tokens for the Access Credentials assigned to the Managed
            Account.
          nullable: false
          items:
            type: string
        billing_rule_tokens:
          type: array
          description: >-
            The tokens for the Billing Rules assigned to the Managed Account, in
            the order they will execute against this account's cost data.
          nullable: false
          items:
            type: string
        email_domain:
          type: string
          description: Email domain associated with this Managed Account for SSO.
          nullable: true
        msp_billing_profile_token:
          type: string
          description: >-
            Token of the MSP billing profile used for this managed account (MSP
            invoicing accounts only)
          nullable: true
        payment_terms_days:
          type: integer
          description: >-
            Number of days until payment is due after invoice date (MSP
            invoicing accounts only)
          format: int32
          nullable: true
        include_managed_account_integrations:
          type: boolean
          description: >-
            Whether to include managed account's own integrations in invoice
            cost calculations (MSP invoicing accounts only)
          nullable: true
        billing_information_attributes:
          $ref: '#/components/schemas/BillingInformation'
        business_information_attributes:
          $ref: '#/components/schemas/BusinessInformation'
      description: ManagedAccount model
    Errors:
      required:
        - errors
      type: object
      properties:
        links:
          $ref: '#/components/schemas/Links'
        errors:
          type: array
          nullable: false
          items:
            type: string
      description: Errors model
    BillingInformation:
      required:
        - address_line_1
        - address_line_2
        - billing_email
        - city
        - company_name
        - country_code
        - postal_code
        - state
        - token
      type: object
      properties:
        token:
          type: string
          nullable: false
        company_name:
          type: string
          description: Company name for billing
          nullable: true
        country_code:
          type: string
          description: ISO country code
          nullable: true
        address_line_1:
          type: string
          description: First line of billing address
          nullable: true
        address_line_2:
          type: string
          description: Second line of billing address
          nullable: true
        city:
          type: string
          description: City for billing address
          nullable: true
        state:
          type: string
          description: State or province for billing address
          nullable: true
        postal_code:
          type: string
          description: Postal or ZIP code
          nullable: true
        billing_email:
          type: array
          description: Array of billing email addresses
          nullable: true
          items:
            type: string
    BusinessInformation:
      required:
        - token
      type: object
      properties:
        token:
          type: string
          nullable: false
        metadata:
          $ref: '#/components/schemas/BusinessInformationMetadata'
    Links:
      type: object
      properties:
        self:
          type: string
          description: The URL of the current page of results.
          nullable: true
        first:
          type: string
          description: The URL of the first page of results.
          nullable: true
        next:
          type: string
          description: The URL of the next page of results, if one exists.
          nullable: true
        last:
          type: string
          description: The URL of the last page of results, if one exists.
          nullable: true
        prev:
          type: string
          description: The URL of the previous page of results, if one exists.
          nullable: true
    BusinessInformationMetadata:
      type: object
      properties:
        custom_fields:
          type: array
          description: Array of custom field objects
          items:
            $ref: '#/components/schemas/BusinessInformationCustomField'
    BusinessInformationCustomField:
      required:
        - name
        - value
      type: object
      properties:
        name:
          type: string
          description: Custom field name
          nullable: false
        value:
          type: string
          description: Custom field value
          nullable: true
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://console.vantage.sh/account/profile
          scopes:
            read: Grants read access
            write: Grants write access

````